# PublicKey

QLM implements asymmetric encryption to encrypt the license key. Asymmetric enryption is safer because one key encrypts the license, the private key, and another key, the public key, decrypts that information. Therefore, you only need to include the public key in your source code.

This function sets the public key associated with your product. The public key should be set before you validate a license, typically right after the call to DefineProduct. If you are validating a license key with a QLM engine version prior to version 5, you do not need to set the public key.

The public key of your product can be found on the DefineProduct screen under the Keys tab in the QLM Console.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/properties/publickey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
